xmonad-contrib-0.18.1: Community-maintained extensions for xmonad

Copyright | (c) ???
License | BSD3-style (see LICENSE)
Maintainer | ???
Safe Haskell | None
Language | Haskell2010

XMonad.Util.NoTaskbar

Contents

- Usage

Description

Function and manageHook to mark a window to be ignored by EWMH taskbars and pagers.

Synopsis

- noTaskbar :: ManageHook
- markNoTaskbar :: Window -> X ()

# Usage

Utility functions to hide windows from pagers and taskbars. Mostly useful when EWMH doesn't do what you intend (e.g. for `NamedScratchpad` windows you probably don't want to be dumped into the `NSP` workspace).

noTaskbar :: ManageHook #

A `ManageHook` to mark a window to not be shown in pagers or taskbars.

markNoTaskbar :: Window -> X () #

An `X` action to mark a window to not be shown in pagers or taskbars.